Note: This is a public test instance of Red Hat Bugzilla. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback at bugzilla.redhat.com.
Bug 1556223 - python-oauth2client: FTBFS in F28
Summary: python-oauth2client: FTBFS in F28
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: python-oauth2client
Version: 28
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Michele Baldessari
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks: 1534542 F28FTBFS
TreeView+ depends on / blocked
 
Reported: 2018-03-14 23:27 UTC by Fedora Release Engineering
Modified: 2018-03-30 13:12 UTC (History)
4 users (show)

Fixed In Version: python-oauth2client-4.1.2-4.fc28
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2018-03-30 13:12:56 UTC
Type: ---
Embargoed:


Attachments (Terms of Use)

Description Fedora Release Engineering 2018-03-14 23:27:59 UTC
Your package python-oauth2client failed to build from source in current F28.

https://koji.fedoraproject.org/koji/taskinfo?taskID=24876687

For details on mass rebuild see https://fedoraproject.org/wiki/Fedora_28_Mass_Rebuild

Comment 1 Zbigniew Jędrzejewski-Szmek 2018-03-21 11:39:14 UTC
BuildRequires:  python-django

So this needs to either be updated for django 2.0 or retired...

Comment 2 Matthias Runge 2018-03-21 11:44:14 UTC
It needs django for executing tests, https://github.com/google/oauth2client/blob/master/tox.ini#L14

Otherwise the project itself declares being inactive, whatever that means: https://github.com/google/oauth2client/blob/master/setup.py#L73

Comment 3 Zbigniew Jędrzejewski-Szmek 2018-03-21 11:49:24 UTC
Another option would be to switch it over to python2-django1.11. Dunno.

Comment 4 Michele Baldessari 2018-03-21 12:12:48 UTC
Yeah it needs django for docs and tests. I'll try and tackle this issue this week.

Comment 5 Michele Baldessari 2018-03-21 16:29:34 UTC
Went with the super quick python2-django1.11 fix. Will see if I can port doc/tests to py3 only in the next days

Comment 6 Fedora Update System 2018-03-22 14:13:15 UTC
python-oauth2client-4.1.2-4.fc28 has been pushed to the Fedora 28 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2018-675175e3e5

Comment 7 Fedora Update System 2018-03-30 13:12:56 UTC
python-oauth2client-4.1.2-4.fc28 has been pushed to the Fedora 28 stable repository. If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.